Bug 1076804 - squeak-vm bundles libjpeg
squeak-vm bundles libjpeg
Status: NEW
Product: Fedora
Classification: Fedora
Component: squeak-vm (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2014-03-15 05:23 EDT by Ville Skyttä
Modified: 2016-07-26 00:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 07:08:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2014-03-15 05:23:06 EDT
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

squeak-vm is using a bundled version of libjpeg. A starting point for the fix would be adding BuildRequires: libjpeg-devel, adding "rm Cross/plugins/JPEGReadWriter2Plugin/j*.[ch]" in %prep and then resolving the build errors.

$ rpm -qlp http://kojipkgs.fedoraproject.org//packages/squeak-vm/4.10.2.2614/9.fc21/x86_64/squeak-vm-debuginfo-4.10.2.2614-9.fc21.x86_64.rpm | grep Cross/plugins/JPEGReadWriter2Plugin/j
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jcapimin.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jcapistd.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jccoefct.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jccolor.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jcdctmgr.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jchuff.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jchuff.h
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jcinit.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jcmainct.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jcmarker.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jcmaster.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jcomapi.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jcparam.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jcphuff.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jcprepct.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jcsample.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jdapimin.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jdapistd.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jdcoefct.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jdcolor.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jdct.h
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jddctmgr.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jdhuff.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jdhuff.h
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jdinput.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jdmainct.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jdmarker.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jdmaster.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jdmerge.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jdphuff.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jdpostct.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jdsample.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jerror.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jerror.h
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jfdctflt.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jfdctfst.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jfdctint.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jidctflt.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jidctfst.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jidctint.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jidctred.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jmemdatadst.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jmemdatasrc.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jmemmgr.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jmemnobs.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jmemsys.h
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jmorecfg.h
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jpegint.h
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jpeglib.h
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jquant1.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jquant2.c
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jutils.c
Comment 1 dcorking 2014-05-26 04:56:27 EDT
Upstream bug (and link to upstream discussion): http://bugs.squeak.org/view.php?id=7539
Comment 2 Jaroslav Reznik 2015-03-03 10:35:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora End Of Life 2016-07-19 07:08:38 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Ville Skyttä 2016-07-19 14:57:21 EDT
$ repoquery --repoid=rawhide-debuginfo -l squeak-vm-debuginfo 2>/dev/null | grep jpeg
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jpegint.h
/usr/src/debug/Squeak-4.10.2.2614-src-no-mp3/Cross/plugins/JPEGReadWriter2Plugin/jpeglib.h
Comment 5 Jan Kurik 2016-07-26 00:28:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Note You need to log in before you can comment on or make changes to this bug.